Subject: Re: BMAC+ & Full Duplex

From: "Mike Hudson" <[email-masked]>
Date: Thu, 18 May 2000 18:33:15 -0400

Takashi,

I think we're talking about the same thing.
"Server mode" is like a modified auto-power on that will
ALWAYS boot the computer. i.e. it will boot whenever AC power is present.

I'm going off the technote at the apple website
(http://developer.apple.com/technotes/tn/tn1079.html) which specified
direct hardware access to the CUDA, can we do this from user-space using
ADB commands?

Here's what I was originally thinking about:

cuda_request(&req, NULL, 2, CUDA_PACKET, CUDA_SVR_MODE,
    CUDA_SVR_MODE_ENA)
called somewhere in the kernel
after
#define CUDA_SVR_MODE 0x13 (from apple technote)
#define CUDA_SVR_MODE_ENA 1
etc..
This could be called numerous ways.

Either way, send over the source code to your little app, Takashi. It would
be
exponentially more elegant than a kernel patch.

Mike Hudson

----- Original Message -----
From: "Takashi Oe" <[email-masked]>
To: "Mike Hudson" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, May 18, 2000 6:14 PM
Subject: Re: BMAC+ & Full Duplex
>
> How does this "server mode" work on Mac OS?  I once wrote a little app to
> manipulate "auto power on command" via CUDA, and, if the server mode is
> just doing CUDA command every so often so that a machine will reboot
> automatically, you might be able to use the app with cron.  Not sure.
>
>
> Takashi Oe
>
>

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/